MSGCAT(1)

NOM
msgcat - combiner plusieurs catalogues de messages

SYNOPSIS
msgcat [OPTION] [FICHIER_ENTRÉE]...

DESCRIPTION

Concaténer et fusionner les fichiers PO spécifiés. Trouver des messages qui sont communs à deux ou plus de fichiers PO spécifiés. En utilisant l'option --more-than, un nombre plus important de messages communs peut être requis avant que les messages ne soit affichés. À l'inverse, l'option --less-than peut être utilisée pour spécifier moins de messages communs avant l'affichage (c'est-à-dire que --less-than=2 n'affichera que les messages uniques). Les traductions, les commentaires, les commentaires de code extraits et les emplacements de fichiers seront cumulés, sauf si --use-first est indiqué, ils seront pris dans le premier fichier PO pour les définir.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

  Localisation du fichier d'entrée :

FICHIER_ENTRÉE ...
    fichiers d'entrée

-f, --files-from=FICHIER
    récupérer la liste des fichiers d'entrée à partir de FICHIER.

-D, --directory=RÉPERTOIRE
    ajouter RÉPERTOIRE à la liste pour la recherche de fichiers d'entrée

Si le fichier d'entrée est -, c'est l'entrée standard qui est lue.

  Localisation du fichier de sortie

-o, --output-file=FICHIER
    écrire la sortie dans le fichier spécifié

Les résultats seront écrits sur la sortie standard si aucun fichier n'est spécifié ou si c'est -.

  Sélection de messages :

-<, --less-than=NOMBRE
    afficher les messages avec moins que ce nombre de définitions, si ce nombre n'est pas défini, c'est par défaut l'infini.

->, --more-than=NOMBRE
    afficher les messages avec plus que ce nombre de définitions, si ce nombre n'est pas défini, c'est 0 par défaut.

-u, --unique
    raccourci pour --less-than=2, afficher seulement les messages uniques.

  Syntaxe du fichier d'entrée

-P, --properties-input
    les fichiers d'entrée ont la syntaxe .properties de Java.

--stringtable-input
    les fichiers d'entrée ont la syntaxe .strings de NeXTstep/GNUstep.

  Détails de la sortie

-t, --to-code=NOM
    encodage de la sortie.

--use-first
    utiliser la première traduction disponible de chaque message, ne pas fusionner plusieurs traductions.

--lang=NOM_CATALOGUE
    définir le champ « Language » de l'en-tête.

--color
    utiliser toujours la couleur et d'autres attributs de texte

--color=QUAND
    utiliser la couleur et d'autres attributs de texte si QUAND. QUAND peut être always, never, auto ou html

--style=FICHIER_STYLE
    spécifier le fichier de règles de style CSS pour --color

-e, --no-escape
    ne pas utiliser de séquence d'échappement C dans la sortie (par défaut)

-E, --escape
    utiliser les séquences d'échappement C dans la sortie, pas les caractères étendus

--force-po
    écrire un fichier PO même s'il est vide'

-i, --indent
    écrire le fichier .po en utilisant le style indenté.

--no-location
    ne pas écrire les lignes « #: nom_fichier:ligne ».

-n, --add-location
    générer les lignes « #: nom_fichier:ligne » (par défaut).

--strict
    écrire un fichier .po strictement conforme au format Uniforum.

-p, --properties-output
    écrire un fichier .properties Java

--stringtable-output
    écrire un fichier .strings NeXTstep/GNUstep

-w, --width=NOMBRE
    régler la largeur de page de la sortie

--no-wrap
    ne pas scinder en plusieurs lignes les longues lignes de message, plus longues que la largeur de la page de sortie

-s, --sort-output
    générer une sortie triée

-F, --sort-by-file
    trier la sortie par emplacement de fichier

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter.

-V, --version
    afficher les informations de version et quitter.

AUTEUR
Écrit par Bruno Haible.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc. License GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msgcat est disponible dans un manuel Texinfo. Si les programmes info et msgcat sont correctement installés, la commande

    info msgcat

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.